/* Generated by re2c 0.16 on Thu Feb  9 14:38:14 2017 */
#line 1 "/home/mike/src/php-master/ext/psi/src/parser.re"
#include "php_psi_stdinc.h"
#include <sys/mman.h>
#include <assert.h>

#include "parser.h"

void *psi_parser_proc_init(void);
void psi_parser_proc_free(void **parser_proc);
void psi_parser_proc_parse(void *parser_proc, token_t r, struct psi_token *token, struct psi_parser *parser);
void psi_parser_proc_trace(FILE *out, char *prefix);

struct psi_parser *psi_parser_init(struct psi_parser *P, psi_error_cb error, unsigned flags)
{
	if (!P) {
		P = malloc(sizeof(*P));
	}
	memset(P, 0, sizeof(*P));

	psi_data_ctor_with_dtors(PSI_DATA(P), error, flags);

	P->col = 1;
	P->line = 1;
	P->proc = psi_parser_proc_init();

	if (flags & PSI_DEBUG) {
		psi_parser_proc_trace(stderr, "PSI> ");
	}

	return P;
}

bool psi_parser_open_file(struct psi_parser *P, const char *filename)
{
	FILE *fp = fopen(filename, "r");

	if (!fp) {
		P->error(PSI_DATA(P), NULL, PSI_WARNING,
				"Could not open '%s' for reading: %s",
				filename, strerror(errno));
		return false;
	}

	P->input.type = PSI_PARSE_FILE;
	P->input.data.file.handle = fp;

#if HAVE_MMAP
	struct stat sb;
	int fd = fileno(fp);

	if (fstat(fd, &sb)) {
		P->error(PSI_DATA(P), NULL, PSI_WARNING,
				"Could not stat '%s': %s",
				filename, strerror(errno));
		return false;
	}

	P->input.data.file.buffer = mmap(NULL, sb.st_size, PROT_READ, MAP_SHARED, fd, 0);
	if (MAP_FAILED == P->input.data.file.buffer) {
		P->error(PSI_DATA(P), NULL, PSI_WARNING,
				"Could not map '%s' for reading: %s",
				filename, strerror(errno));
		return false;
	}
	P->input.data.file.length = sb.st_size;
#else
	P->input.data.file.buffer = malloc(BSIZE);
#endif

	P->file.fn = strdup(filename);

	return true;
}

bool psi_parser_open_string(struct psi_parser *P, const char *string, size_t length)
{
	P->input.type = PSI_PARSE_STRING;
	P->input.data.string.length = length;
	if (!(P->input.data.string.buffer = strndup(string, length))) {
		return false;
	}

	P->file.fn = strdup("<input>");

	return true;
}

static ssize_t psi_parser_fill(struct psi_parser *P, size_t n)
{
	PSI_DEBUG_PRINT(P, "PSI< Fill: n=%zu (input.type=%d)\n", n, P->input.type);

	/* init if n==0 */
	if (!n) {
		switch (P->input.type) {
		case PSI_PARSE_FILE:
			P->cur = P->tok = P->mrk = P->input.data.file.buffer;
#if HAVE_MMAP
			P->eof = P->input.data.file.buffer + P->input.data.file.length;
			P->lim = P->eof;
#else
			P->eof = NULL;
			P->lim = P->input.data.file.buffer;
#endif
			break;

		case PSI_PARSE_STRING:
			P->cur = P->tok = P->mrk = P->input.data.string.buffer;
			P->eof = P->input.data.string.buffer + P->input.data.string.length;
			P->lim = P->eof;
			break;
		}

		PSI_DEBUG_PRINT(P, "PSI< Fill: cur=%p lim=%p eof=%p\n", P->cur, P->lim, P->eof);
	}

	switch (P->input.type) {
	case PSI_PARSE_STRING:
		break;

	case PSI_PARSE_FILE:
#if !HAVE_MMAP
		if (!P->eof) {
			size_t consumed = P->tok - P->buf;
			size_t reserved = P->lim - P->tok;
			size_t available = BSIZE - reserved;
			size_t didread;

			if (consumed) {
				memmove(P->buf, P->tok, reserved);
				P->tok -= consumed;
				P->cur -= consumed;
				P->lim -= consumed;
				P->mrk -= consumed;
			}

			didread = fread(P->lim, 1, available, P->fp);
			P->lim += didread;
			if (didread < available) {
				P->eof = P->lim;
			}
			PSI_DEBUG_PRINT(P, "PSI< Fill: consumed=%zu reserved=%zu available=%zu didread=%zu\n",
					consumed, reserved, available, didread);
		}
#endif
		break;
	}

	PSI_DEBUG_PRINT(P, "PSI< Fill: avail=%td\n", P->lim - P->cur);

	return P->lim - P->cur;
}

void psi_parser_parse(struct psi_parser *P, struct psi_token *T)
{
	if (T) {
		psi_parser_proc_parse(P->proc, T->type, T, P);
	} else {
		psi_parser_proc_parse(P->proc, 0, NULL, P);
	}
}

void psi_parser_dtor(struct psi_parser *P)
{
	psi_parser_proc_free(&P->proc);

	switch (P->input.type) {
	case PSI_PARSE_FILE:
		if (P->input.data.file.buffer) {
#if HAVE_MMAP
			munmap(P->input.data.file.buffer, P->input.data.file.length);
#else
			free(P->input.data.file.buffer);
#endif
		}
		if (P->input.data.file.handle) {
			fclose(P->input.data.file.handle);
		}
		break;

	case PSI_PARSE_STRING:
		if (P->input.data.string.buffer) {
			free(P->input.data.string.buffer);
		}
		break;
	}

	psi_data_dtor(PSI_DATA(P));

	memset(P, 0, sizeof(*P));
}

void psi_parser_free(struct psi_parser **P)
{
	if (*P) {
		psi_parser_dtor(*P);
		free(*P);
		*P = NULL;
	}
}

#define YYMAXFILL 10
#if BSIZE < YYMAXFILL
# error BSIZE must be greater than YYMAXFILL
#endif

#define RETURN(t) do { \
	P->num = t; \
	PSI_DEBUG_PRINT(P, "PSI< TOKEN: %d %.*s (EOF=%d %s:%u:%u)\n", \
				P->num, (int) (P->cur-P->tok), P->tok, P->num == PSI_T_EOF, \
				P->file.fn, P->line, P->col); \
	return t; \
} while(1)

#define ADDCOLS \
	P->col += P->cur - P->tok

#define NEWLINE(label) \
	P->col = 1; \
	++P->line; \
	goto label

token_t psi_parser_scan(struct psi_parser *P)
{
	if (!P->cur) {
		psi_parser_fill(P, 0);
	}
	for (;;) {
		ADDCOLS;
	nextline:
		P->tok = P->cur;
		
#line 234 "/home/mike/src/php-master/ext/psi/src/parser.c"
		{
			unsigned char yych;
			unsigned int yyaccept = 0;
			if ((P->lim - P->cur) < 10) { if (!psi_parser_fill(P,10)) RETURN(PSI_T_EOF); };
			yych = *P->cur;
			switch (yych) {
			case '\t':
			case ' ':	goto yy4;
			case '\n':
			case '\r':	goto yy7;
			case '!':	goto yy9;
			case '"':	goto yy11;
			case '#':	goto yy12;
			case '$':	goto yy13;
			case '%':	goto yy14;
			case '&':	goto yy16;
			case '(':	goto yy18;
			case ')':	goto yy20;
			case '*':	goto yy22;
			case '+':	goto yy24;
			case ',':	goto yy26;
			case '-':	goto yy28;
			case '.':	goto yy30;
			case '/':	goto yy31;
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':	goto yy33;
			case ':':	goto yy36;
			case ';':	goto yy38;
			case '<':	goto yy40;
			case '=':	goto yy42;
			case '>':	goto yy44;
			case 'A':
			case 'a':	goto yy46;
			case 'B':
			case 'b':	goto yy48;
			case 'C':
			case 'c':	goto yy49;
			case 'D':
			case 'd':	goto yy50;
			case 'E':
			case 'e':	goto yy51;
			case 'F':
			case 'f':	goto yy52;
			case 'G':
			case 'H':
			case 'J':
			case 'K':
			case 'Q':
			case 'W':
			case 'X':
			case 'Y':
			case '_':
			case 'g':
			case 'h':
			case 'j':
			case 'k':
			case 'q':
			case 'w':
			case 'x':
			case 'y':	goto yy53;
			case 'I':
			case 'i':	goto yy55;
			case 'L':
			case 'l':	goto yy56;
			case 'M':
			case 'm':	goto yy57;
			case 'N':
			case 'n':	goto yy58;
			case 'O':
			case 'o':	goto yy59;
			case 'P':
			case 'p':	goto yy60;
			case 'R':
			case 'r':	goto yy61;
			case 'S':
			case 's':	goto yy62;
			case 'T':
			case 't':	goto yy63;
			case 'U':
			case 'u':	goto yy64;
			case 'V':
			case 'v':	goto yy65;
			case 'Z':
			case 'z':	goto yy66;
			case '[':	goto yy67;
			case '\\':	goto yy69;
			case ']':	goto yy70;
			case '^':	goto yy72;
			case '{':	goto yy74;
			case '|':	goto yy76;
			case '}':	goto yy78;
			case '~':	goto yy80;
			default:	goto yy2;
			}
yy2:
			++P->cur;
yy3:
#line 344 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{break;}
#line 342 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy4:
			++P->cur;
			if (P->lim <= P->cur) { if (!psi_parser_fill(P,1)) RETURN(PSI_T_EOF); };
			yych = *P->cur;
			switch (yych) {
			case '\t':
			case ' ':	goto yy4;
			default:	goto yy6;
			}
yy6:
#line 281 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{ continue; }
#line 355 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy7:
			++P->cur;
#line 280 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{ NEWLINE(nextline); }
#line 360 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy9:
			++P->cur;
			switch ((yych = *P->cur)) {
			case '=':	goto yy82;
			default:	goto yy10;
			}
yy10:
#line 265 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_NOT);}
#line 370 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy11:
			yyaccept = 0;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '"':	goto yy3;
			default:	goto yy84;
			}
yy12:
			yyaccept = 0;
			yych = *(P->mrk = ++P->cur);
			goto yy87;
yy13:
			yych = *++P->cur;
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy90;
			default:	goto yy3;
			}
yy14:
			++P->cur;
#line 266 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_MODULO);}
#line 454 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy16:
			++P->cur;
			switch ((yych = *P->cur)) {
			case '&':	goto yy93;
			default:	goto yy17;
			}
yy17:
#line 267 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_AMPERSAND);}
#line 464 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy18:
			++P->cur;
#line 249 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_LPAREN);}
#line 469 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy20:
			++P->cur;
#line 250 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_RPAREN);}
#line 474 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy22:
			++P->cur;
#line 263 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_ASTERISK);}
#line 479 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy24:
			yyaccept = 1;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '.':	goto yy95;
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':	goto yy33;
			default:	goto yy25;
			}
yy25:
#line 268 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_PLUS);}
#line 500 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy26:
			++P->cur;
#line 252 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_COMMA);}
#line 505 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy28:
			yyaccept = 2;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '.':	goto yy95;
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':	goto yy33;
			default:	goto yy29;
			}
yy29:
#line 269 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_MINUS);}
#line 526 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy30:
			yyaccept = 0;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '.':	goto yy97;
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':	goto yy98;
			default:	goto yy3;
			}
yy31:
			yyaccept = 3;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '*':	goto yy100;
			case '/':	goto yy86;
			default:	goto yy32;
			}
yy32:
#line 270 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_SLASH);}
#line 555 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy33:
			yyaccept = 4;
			P->mrk = ++P->cur;
			if ((P->lim - P->cur) < 3) { if (!psi_parser_fill(P,3)) RETURN(PSI_T_EOF); };
			yych = *P->cur;
			switch (yych) {
			case '.':	goto yy95;
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':	goto yy33;
			case 'E':
			case 'e':	goto yy102;
			default:	goto yy35;
			}
yy35:
#line 339 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_NUMBER);}
#line 580 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy36:
			++P->cur;
#line 253 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_COLON);}
#line 585 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy38:
			++P->cur;
#line 251 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_EOS);}
#line 590 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy40:
			++P->cur;
			switch ((yych = *P->cur)) {
			case '<':	goto yy103;
			case '=':	goto yy105;
			default:	goto yy41;
			}
yy41:
#line 277 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_LCHEVR);}
#line 601 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy42:
			++P->cur;
			switch ((yych = *P->cur)) {
			case '=':	goto yy107;
			default:	goto yy43;
			}
yy43:
#line 262 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_EQUALS);}
#line 611 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy44:
			++P->cur;
			switch ((yych = *P->cur)) {
			case '=':	goto yy109;
			case '>':	goto yy111;
			default:	goto yy45;
			}
yy45:
#line 278 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_RCHEVR);}
#line 622 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy46:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'R':
			case 'r':	goto yy113;
			default:	goto yy54;
			}
yy47:
#line 340 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_NAME);}
#line 634 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy48:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'O':
			case 'o':	goto yy115;
			default:	goto yy54;
			}
yy49:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy116;
			case 'H':
			case 'h':	goto yy117;
			case 'O':
			case 'o':	goto yy118;
			default:	goto yy54;
			}
yy50:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'O':
			case 'o':	goto yy119;
			default:	goto yy54;
			}
yy51:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'N':
			case 'n':	goto yy120;
			default:	goto yy54;
			}
yy52:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy121;
			case 'L':
			case 'l':	goto yy122;
			case 'R':
			case 'r':	goto yy123;
			case 'U':
			case 'u':	goto yy124;
			default:	goto yy54;
			}
yy53:
			yyaccept = 5;
			P->mrk = ++P->cur;
			if (P->lim <= P->cur) { if (!psi_parser_fill(P,1)) RETURN(PSI_T_EOF); };
			yych = *P->cur;
yy54:
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy47;
			}
yy55:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'N':
			case 'n':	goto yy125;
			default:	goto yy54;
			}
yy56:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy126;
			case 'I':
			case 'i':	goto yy127;
			case 'O':
			case 'o':	goto yy128;
			default:	goto yy54;
			}
yy57:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'I':
			case 'i':	goto yy129;
			default:	goto yy54;
			}
yy58:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'U':
			case 'u':	goto yy130;
			default:	goto yy54;
			}
yy59:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'B':
			case 'b':	goto yy131;
			default:	goto yy54;
			}
yy60:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy132;
			default:	goto yy54;
			}
yy61:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy133;
			default:	goto yy54;
			}
yy62:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy134;
			case 'H':
			case 'h':	goto yy135;
			case 'I':
			case 'i':	goto yy136;
			case 'T':
			case 't':	goto yy137;
			default:	goto yy54;
			}
yy63:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy138;
			case 'O':
			case 'o':	goto yy139;
			case 'R':
			case 'r':	goto yy140;
			case 'Y':
			case 'y':	goto yy141;
			default:	goto yy54;
			}
yy64:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'I':
			case 'i':	goto yy142;
			case 'N':
			case 'n':	goto yy143;
			default:	goto yy54;
			}
yy65:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'O':
			case 'o':	goto yy144;
			default:	goto yy54;
			}
yy66:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'V':
			case 'v':	goto yy145;
			default:	goto yy54;
			}
yy67:
			++P->cur;
#line 256 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_LBRACKET);}
#line 876 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy69:
			yych = *++P->cur;
			switch (yych) {
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy146;
			default:	goto yy3;
			}
yy70:
			++P->cur;
#line 257 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_RBRACKET);}
#line 939 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy72:
			++P->cur;
#line 272 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_CARET);}
#line 944 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy74:
			++P->cur;
#line 254 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_LBRACE);}
#line 949 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy76:
			++P->cur;
			switch ((yych = *P->cur)) {
			case '|':	goto yy149;
			default:	goto yy77;
			}
yy77:
#line 271 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_PIPE);}
#line 959 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy78:
			++P->cur;
#line 255 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_RBRACE);}
#line 964 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy80:
			++P->cur;
#line 264 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_TILDE);}
#line 969 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy82:
			++P->cur;
#line 258 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_CMP_NE);}
#line 974 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy84:
			++P->cur;
			if (P->lim <= P->cur) { if (!psi_parser_fill(P,1)) RETURN(PSI_T_EOF); };
			yych = *P->cur;
			switch (yych) {
			case '"':	goto yy151;
			default:	goto yy84;
			}
yy86:
			++P->cur;
			if (P->lim <= P->cur) { if (!psi_parser_fill(P,1)) RETURN(PSI_T_EOF); };
			yych = *P->cur;
yy87:
			switch (yych) {
			case '\n':	goto yy88;
			default:	goto yy86;
			}
yy88:
			++P->cur;
#line 248 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{ NEWLINE(nextline); }
#line 996 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy90:
			++P->cur;
			if (P->lim <= P->cur) { if (!psi_parser_fill(P,1)) RETURN(PSI_T_EOF); };
			yych = *P->cur;
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy90;
			default:	goto yy92;
			}
yy92:
#line 342 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_DOLLAR_NAME);}
#line 1070 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy93:
			++P->cur;
#line 260 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_AND);}
#line 1075 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy95:
			yych = *++P->cur;
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':	goto yy98;
			default:	goto yy96;
			}
yy96:
			P->cur = P->mrk;
			switch (yyaccept) {
			case 0: 	goto yy3;
			case 1: 	goto yy25;
			case 2: 	goto yy29;
			case 3: 	goto yy32;
			case 4: 	goto yy35;
			case 5: 	goto yy47;
			case 6: 	goto yy148;
			case 7: 	goto yy171;
			case 8: 	goto yy173;
			case 9: 	goto yy175;
			case 10: 	goto yy183;
			case 11: 	goto yy200;
			case 12: 	goto yy203;
			case 13: 	goto yy208;
			case 14: 	goto yy212;
			case 15: 	goto yy220;
			case 16: 	goto yy223;
			case 17: 	goto yy236;
			case 18: 	goto yy244;
			case 19: 	goto yy250;
			case 20: 	goto yy252;
			case 21: 	goto yy254;
			case 22: 	goto yy261;
			case 23: 	goto yy263;
			case 24: 	goto yy266;
			case 25: 	goto yy268;
			case 26: 	goto yy276;
			case 27: 	goto yy282;
			case 28: 	goto yy301;
			case 29: 	goto yy304;
			case 30: 	goto yy309;
			case 31: 	goto yy311;
			case 32: 	goto yy318;
			case 33: 	goto yy320;
			case 34: 	goto yy322;
			case 35: 	goto yy324;
			case 36: 	goto yy327;
			case 37: 	goto yy329;
			case 38: 	goto yy331;
			case 39: 	goto yy333;
			case 40: 	goto yy335;
			case 41: 	goto yy337;
			case 42: 	goto yy339;
			case 43: 	goto yy344;
			case 44: 	goto yy354;
			case 45: 	goto yy360;
			case 46: 	goto yy362;
			case 47: 	goto yy364;
			case 48: 	goto yy366;
			case 49: 	goto yy369;
			case 50: 	goto yy374;
			case 51: 	goto yy379;
			case 52: 	goto yy382;
			case 53: 	goto yy384;
			case 54: 	goto yy386;
			case 55: 	goto yy388;
			case 56: 	goto yy390;
			case 57: 	goto yy392;
			case 58: 	goto yy396;
			case 59: 	goto yy398;
			case 60: 	goto yy400;
			case 61: 	goto yy402;
			case 62: 	goto yy404;
			default:	goto yy406;
			}
yy97:
			yych = *++P->cur;
			switch (yych) {
			case '.':	goto yy153;
			default:	goto yy96;
			}
yy98:
			yyaccept = 4;
			P->mrk = ++P->cur;
			if ((P->lim - P->cur) < 3) { if (!psi_parser_fill(P,3)) RETURN(PSI_T_EOF); };
			yych = *P->cur;
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':	goto yy98;
			case 'E':
			case 'e':	goto yy102;
			default:	goto yy35;
			}
yy100:
			++P->cur;
#line 247 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{ goto comment; }
#line 1189 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy102:
			yych = *++P->cur;
			switch (yych) {
			case '+':
			case '-':	goto yy155;
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':	goto yy156;
			default:	goto yy96;
			}
yy103:
			++P->cur;
#line 273 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_LSHIFT);}
#line 1211 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy105:
			++P->cur;
#line 275 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_CMP_LE);}
#line 1216 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy107:
			++P->cur;
#line 259 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_CMP_EQ);}
#line 1221 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy109:
			++P->cur;
#line 276 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_CMP_GE);}
#line 1226 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy111:
			++P->cur;
#line 274 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_RSHIFT);}
#line 1231 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy113:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'R':
			case 'r':	goto yy158;
			default:	goto yy54;
			}
yy114:
			++P->cur;
			if (P->lim <= P->cur) { if (!psi_parser_fill(P,1)) RETURN(PSI_T_EOF); };
			yych = *P->cur;
			switch (yych) {
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy146;
			default:	goto yy96;
			}
yy115:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'O':
			case 'o':	goto yy159;
			default:	goto yy54;
			}
yy116:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy160;
			default:	goto yy54;
			}
yy117:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy161;
			default:	goto yy54;
			}
yy118:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'N':
			case 'n':	goto yy162;
			case 'U':
			case 'u':	goto yy163;
			default:	goto yy54;
			}
yy119:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'U':
			case 'u':	goto yy164;
			default:	goto yy54;
			}
yy120:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'U':
			case 'u':	goto yy165;
			default:	goto yy54;
			}
yy121:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy166;
			default:	goto yy54;
			}
yy122:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'O':
			case 'o':	goto yy167;
			default:	goto yy54;
			}
yy123:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy168;
			default:	goto yy54;
			}
yy124:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'N':
			case 'n':	goto yy169;
			default:	goto yy54;
			}
yy125:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy170;
			default:	goto yy54;
			}
yy126:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy172;
			default:	goto yy54;
			}
yy127:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'B':
			case 'b':	goto yy174;
			default:	goto yy54;
			}
yy128:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'N':
			case 'n':	goto yy176;
			default:	goto yy54;
			}
yy129:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'X':
			case 'x':	goto yy177;
			default:	goto yy54;
			}
yy130:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy178;
			default:	goto yy54;
			}
yy131:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'J':
			case 'j':	goto yy179;
			default:	goto yy54;
			}
yy132:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy180;
			default:	goto yy54;
			}
yy133:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy181;
			default:	goto yy54;
			}
yy134:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy182;
			default:	goto yy54;
			}
yy135:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'O':
			case 'o':	goto yy184;
			default:	goto yy54;
			}
yy136:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'G':
			case 'g':	goto yy185;
			default:	goto yy54;
			}
yy137:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy186;
			case 'R':
			case 'r':	goto yy187;
			default:	goto yy54;
			}
yy138:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'M':
			case 'm':	goto yy188;
			default:	goto yy54;
			}
yy139:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '_':	goto yy189;
			default:	goto yy54;
			}
yy140:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'U':
			case 'u':	goto yy190;
			default:	goto yy54;
			}
yy141:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'P':
			case 'p':	goto yy191;
			default:	goto yy54;
			}
yy142:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'N':
			case 'n':	goto yy192;
			default:	goto yy54;
			}
yy143:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'I':
			case 'i':	goto yy193;
			case 'S':
			case 's':	goto yy194;
			default:	goto yy54;
			}
yy144:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'I':
			case 'i':	goto yy195;
			default:	goto yy54;
			}
yy145:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy196;
			default:	goto yy54;
			}
yy146:
			yyaccept = 6;
			P->mrk = ++P->cur;
			if (P->lim <= P->cur) { if (!psi_parser_fill(P,1)) RETURN(PSI_T_EOF); };
			yych = *P->cur;
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy146;
			case '\\':	goto yy114;
			default:	goto yy148;
			}
yy148:
#line 341 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_NSNAME);}
#line 1628 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy149:
			++P->cur;
#line 261 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_OR);}
#line 1633 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy151:
			++P->cur;
#line 343 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_QUOTED_STRING);}
#line 1638 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy153:
			++P->cur;
#line 279 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_ELLIPSIS);}
#line 1643 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy155:
			yych = *++P->cur;
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':	goto yy156;
			default:	goto yy96;
			}
yy156:
			++P->cur;
			if (P->lim <= P->cur) { if (!psi_parser_fill(P,1)) RETURN(PSI_T_EOF); };
			yych = *P->cur;
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':	goto yy156;
			default:	goto yy35;
			}
yy158:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy197;
			case 'V':
			case 'v':	goto yy198;
			default:	goto yy54;
			}
yy159:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy199;
			default:	goto yy54;
			}
yy160:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy201;
			default:	goto yy54;
			}
yy161:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'R':
			case 'r':	goto yy202;
			default:	goto yy54;
			}
yy162:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'S':
			case 's':	goto yy204;
			default:	goto yy54;
			}
yy163:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'N':
			case 'n':	goto yy205;
			default:	goto yy54;
			}
yy164:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'B':
			case 'b':	goto yy206;
			default:	goto yy54;
			}
yy165:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'M':
			case 'm':	goto yy207;
			default:	goto yy54;
			}
yy166:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'S':
			case 's':	goto yy209;
			default:	goto yy54;
			}
yy167:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy210;
			default:	goto yy54;
			}
yy168:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy211;
			default:	goto yy54;
			}
yy169:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'C':
			case 'c':	goto yy213;
			default:	goto yy54;
			}
yy170:
			yyaccept = 7;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '2':
			case '4':
			case '5':
			case '7':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '1':	goto yy214;
			case '3':	goto yy215;
			case '6':	goto yy216;
			case '8':	goto yy217;
			case 'V':
			case 'v':	goto yy218;
			case '\\':	goto yy114;
			default:	goto yy171;
			}
yy171:
#line 291 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_INT);}
#line 1847 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy172:
			yyaccept = 8;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy173;
			}
yy173:
#line 317 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_LET);}
#line 1921 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy174:
			yyaccept = 9;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy175;
			}
yy175:
#line 316 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_LIB);}
#line 1995 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy176:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'G':
			case 'g':	goto yy219;
			default:	goto yy54;
			}
yy177:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy221;
			default:	goto yy54;
			}
yy178:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy222;
			default:	goto yy54;
			}
yy179:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy224;
			case 'V':
			case 'v':	goto yy225;
			default:	goto yy54;
			}
yy180:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'H':
			case 'h':	goto yy226;
			default:	goto yy54;
			}
yy181:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'U':
			case 'u':	goto yy227;
			default:	goto yy54;
			}
yy182:
			yyaccept = 10;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy183;
			}
yy183:
#line 318 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_SET);}
#line 2119 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy184:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'R':
			case 'r':	goto yy228;
			default:	goto yy54;
			}
yy185:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'N':
			case 'n':	goto yy229;
			default:	goto yy54;
			}
yy186:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy230;
			default:	goto yy54;
			}
yy187:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'I':
			case 'i':	goto yy231;
			case 'L':
			case 'l':	goto yy232;
			case 'U':
			case 'u':	goto yy233;
			case 'V':
			case 'v':	goto yy234;
			default:	goto yy54;
			}
yy188:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'P':
			case 'p':	goto yy235;
			default:	goto yy54;
			}
yy189:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy237;
			case 'B':
			case 'b':	goto yy238;
			case 'F':
			case 'f':	goto yy239;
			case 'I':
			case 'i':	goto yy240;
			case 'O':
			case 'o':	goto yy241;
			case 'S':
			case 's':	goto yy242;
			default:	goto yy54;
			}
yy190:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy243;
			default:	goto yy54;
			}
yy191:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy245;
			default:	goto yy54;
			}
yy192:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy246;
			default:	goto yy54;
			}
yy193:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'O':
			case 'o':	goto yy247;
			default:	goto yy54;
			}
yy194:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'I':
			case 'i':	goto yy248;
			default:	goto yy54;
			}
yy195:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'D':
			case 'd':	goto yy249;
			default:	goto yy54;
			}
yy196:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy251;
			default:	goto yy54;
			}
yy197:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'Y':
			case 'y':	goto yy253;
			default:	goto yy54;
			}
yy198:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy255;
			default:	goto yy54;
			}
yy199:
			yyaccept = 11;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case 'V':
			case 'v':	goto yy256;
			case '\\':	goto yy114;
			default:	goto yy200;
			}
yy200:
#line 288 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_BOOL);}
#line 2329 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy201:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy257;
			case 'B':
			case 'b':	goto yy258;
			case 'O':
			case 'o':	goto yy259;
			default:	goto yy54;
			}
yy202:
			yyaccept = 12;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy203;
			}
yy203:
#line 289 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_CHAR);}
#line 2415 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy204:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy260;
			default:	goto yy54;
			}
yy205:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy262;
			default:	goto yy54;
			}
yy206:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy264;
			default:	goto yy54;
			}
yy207:
			yyaccept = 13;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy208;
			}
yy208:
#line 314 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_ENUM);}
#line 2513 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy209:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy265;
			default:	goto yy54;
			}
yy210:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy267;
			default:	goto yy54;
			}
yy211:
			yyaccept = 14;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy212;
			}
yy212:
#line 320 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_FREE);}
#line 2603 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy213:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy269;
			default:	goto yy54;
			}
yy214:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '6':	goto yy270;
			default:	goto yy54;
			}
yy215:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '2':	goto yy271;
			default:	goto yy54;
			}
yy216:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '4':	goto yy272;
			default:	goto yy54;
			}
yy217:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '_':	goto yy273;
			default:	goto yy54;
			}
yy218:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy274;
			default:	goto yy54;
			}
yy219:
			yyaccept = 15;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy220;
			}
yy220:
#line 292 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_LONG);}
#line 2721 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy221:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'D':
			case 'd':	goto yy275;
			default:	goto yy54;
			}
yy222:
			yyaccept = 16;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy223;
			}
yy223:
#line 284 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_NULL);}
#line 2803 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy224:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'C':
			case 'c':	goto yy277;
			default:	goto yy54;
			}
yy225:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy278;
			default:	goto yy54;
			}
yy226:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'V':
			case 'v':	goto yy279;
			default:	goto yy54;
			}
yy227:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'R':
			case 'r':	goto yy280;
			default:	goto yy54;
			}
yy228:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy281;
			default:	goto yy54;
			}
yy229:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy283;
			default:	goto yy54;
			}
yy230:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'I':
			case 'i':	goto yy284;
			default:	goto yy54;
			}
yy231:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'N':
			case 'n':	goto yy285;
			default:	goto yy54;
			}
yy232:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy286;
			default:	goto yy54;
			}
yy233:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'C':
			case 'c':	goto yy287;
			default:	goto yy54;
			}
yy234:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy288;
			default:	goto yy54;
			}
yy235:
			yyaccept = 17;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy236;
			}
yy236:
#line 321 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_TEMP);}
#line 2965 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy237:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'R':
			case 'r':	goto yy289;
			default:	goto yy54;
			}
yy238:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'O':
			case 'o':	goto yy290;
			default:	goto yy54;
			}
yy239:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy291;
			default:	goto yy54;
			}
yy240:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'N':
			case 'n':	goto yy292;
			default:	goto yy54;
			}
yy241:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'B':
			case 'b':	goto yy293;
			default:	goto yy54;
			}
yy242:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy294;
			default:	goto yy54;
			}
yy243:
			yyaccept = 18;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy244;
			}
yy244:
#line 282 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_TRUE);}
#line 3087 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy245:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'D':
			case 'd':	goto yy295;
			default:	goto yy54;
			}
yy246:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '1':	goto yy296;
			case '3':	goto yy297;
			case '6':	goto yy298;
			case '8':	goto yy299;
			default:	goto yy54;
			}
yy247:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'N':
			case 'n':	goto yy300;
			default:	goto yy54;
			}
yy248:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'G':
			case 'g':	goto yy302;
			default:	goto yy54;
			}
yy249:
			yyaccept = 19;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy250;
			}
yy250:
#line 287 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_VOID);}
#line 3195 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy251:
			yyaccept = 20;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy252;
			}
yy252:
#line 330 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_ZVAL);}
#line 3269 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy253:
			yyaccept = 21;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy254;
			}
yy254:
#line 306 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_ARRAY);}
#line 3343 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy255:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy303;
			default:	goto yy54;
			}
yy256:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy305;
			default:	goto yy54;
			}
yy257:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'B':
			case 'b':	goto yy306;
			default:	goto yy54;
			}
yy258:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy307;
			default:	goto yy54;
			}
yy259:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'C':
			case 'c':	goto yy308;
			default:	goto yy54;
			}
yy260:
			yyaccept = 22;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy261;
			}
yy261:
#line 315 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_CONST);}
#line 3457 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy262:
			yyaccept = 23;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy263;
			}
yy263:
#line 331 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_COUNT);}
#line 3531 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy264:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy310;
			default:	goto yy54;
			}
yy265:
			yyaccept = 24;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy266;
			}
yy266:
#line 283 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_FALSE);}
#line 3613 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy267:
			yyaccept = 25;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case 'V':
			case 'v':	goto yy312;
			case '\\':	goto yy114;
			default:	goto yy268;
			}
yy268:
#line 293 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_FLOAT);}
#line 3687 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy269:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'I':
			case 'i':	goto yy313;
			default:	goto yy54;
			}
yy270:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '_':	goto yy314;
			default:	goto yy54;
			}
yy271:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '_':	goto yy315;
			default:	goto yy54;
			}
yy272:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '_':	goto yy316;
			default:	goto yy54;
			}
yy273:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy317;
			default:	goto yy54;
			}
yy274:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy319;
			default:	goto yy54;
			}
yy275:
			yyaccept = 26;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy276;
			}
yy276:
#line 285 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_MIXED);}
#line 3806 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy277:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy321;
			default:	goto yy54;
			}
yy278:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy323;
			default:	goto yy54;
			}
yy279:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy325;
			default:	goto yy54;
			}
yy280:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'N':
			case 'n':	goto yy326;
			default:	goto yy54;
			}
yy281:
			yyaccept = 27;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy282;
			}
yy282:
#line 290 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_SHORT);}
#line 3912 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy283:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'D':
			case 'd':	goto yy328;
			default:	goto yy54;
			}
yy284:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'C':
			case 'c':	goto yy330;
			default:	goto yy54;
			}
yy285:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'G':
			case 'g':	goto yy332;
			default:	goto yy54;
			}
yy286:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'N':
			case 'n':	goto yy334;
			default:	goto yy54;
			}
yy287:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy336;
			default:	goto yy54;
			}
yy288:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy338;
			default:	goto yy54;
			}
yy289:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'R':
			case 'r':	goto yy340;
			default:	goto yy54;
			}
yy290:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'O':
			case 'o':	goto yy341;
			default:	goto yy54;
			}
yy291:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'O':
			case 'o':	goto yy342;
			default:	goto yy54;
			}
yy292:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy343;
			default:	goto yy54;
			}
yy293:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'J':
			case 'j':	goto yy345;
			default:	goto yy54;
			}
yy294:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'R':
			case 'r':	goto yy346;
			default:	goto yy54;
			}
yy295:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy347;
			default:	goto yy54;
			}
yy296:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '6':	goto yy348;
			default:	goto yy54;
			}
yy297:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '2':	goto yy349;
			default:	goto yy54;
			}
yy298:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '4':	goto yy350;
			default:	goto yy54;
			}
yy299:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '_':	goto yy351;
			default:	goto yy54;
			}
yy300:
			yyaccept = 28;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy301;
			}
yy301:
#line 313 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_UNION);}
#line 4118 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy302:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'N':
			case 'n':	goto yy352;
			default:	goto yy54;
			}
yy303:
			yyaccept = 29;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy304;
			}
yy304:
#line 328 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_ARRVAL);}
#line 4200 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy305:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy353;
			default:	goto yy54;
			}
yy306:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy355;
			default:	goto yy54;
			}
yy307:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'C':
			case 'c':	goto yy356;
			default:	goto yy54;
			}
yy308:
			yyaccept = 30;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy309;
			}
yy309:
#line 332 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_CALLOC);}
#line 4298 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy310:
			yyaccept = 31;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy311;
			}
yy311:
#line 294 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_DOUBLE);}
#line 4372 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy312:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy357;
			default:	goto yy54;
			}
yy313:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'O':
			case 'o':	goto yy358;
			default:	goto yy54;
			}
yy314:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy359;
			default:	goto yy54;
			}
yy315:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy361;
			default:	goto yy54;
			}
yy316:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy363;
			default:	goto yy54;
			}
yy317:
			yyaccept = 32;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy318;
			}
yy318:
#line 295 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_INT8);}
#line 4486 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy319:
			yyaccept = 33;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy320;
			}
yy320:
#line 325 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_INTVAL);}
#line 4560 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy321:
			yyaccept = 34;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy322;
			}
yy322:
#line 307 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_OBJECT);}
#line 4634 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy323:
			yyaccept = 35;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy324;
			}
yy324:
#line 329 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_OBJVAL);}
#line 4708 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy325:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy365;
			default:	goto yy54;
			}
yy326:
			yyaccept = 36;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy327;
			}
yy327:
#line 319 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_RETURN);}
#line 4790 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy328:
			yyaccept = 37;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy329;
			}
yy329:
#line 304 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_SIGNED);}
#line 4864 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy330:
			yyaccept = 38;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy331;
			}
yy331:
#line 309 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_STATIC);}
#line 4938 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy332:
			yyaccept = 39;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy333;
			}
yy333:
#line 305 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_STRING);}
#line 5012 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy334:
			yyaccept = 40;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy335;
			}
yy335:
#line 322 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_STRLEN);}
#line 5086 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy336:
			yyaccept = 41;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy337;
			}
yy337:
#line 312 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_STRUCT);}
#line 5160 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy338:
			yyaccept = 42;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy339;
			}
yy339:
#line 323 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_STRVAL);}
#line 5234 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy340:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy367;
			default:	goto yy54;
			}
yy341:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy368;
			default:	goto yy54;
			}
yy342:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy370;
			default:	goto yy54;
			}
yy343:
			yyaccept = 43;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy344;
			}
yy344:
#line 336 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_TO_INT);}
#line 5332 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy345:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy371;
			default:	goto yy54;
			}
yy346:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'I':
			case 'i':	goto yy372;
			default:	goto yy54;
			}
yy347:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'F':
			case 'f':	goto yy373;
			default:	goto yy54;
			}
yy348:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '_':	goto yy375;
			default:	goto yy54;
			}
yy349:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '_':	goto yy376;
			default:	goto yy54;
			}
yy350:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '_':	goto yy377;
			default:	goto yy54;
			}
yy351:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy378;
			default:	goto yy54;
			}
yy352:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy380;
			default:	goto yy54;
			}
yy353:
			yyaccept = 44;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy354;
			}
yy354:
#line 327 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_BOOLVAL);}
#line 5467 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy355:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy381;
			default:	goto yy54;
			}
yy356:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'K':
			case 'k':	goto yy383;
			default:	goto yy54;
			}
yy357:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy385;
			default:	goto yy54;
			}
yy358:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'N':
			case 'n':	goto yy387;
			default:	goto yy54;
			}
yy359:
			yyaccept = 45;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy360;
			}
yy360:
#line 297 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_INT16);}
#line 5573 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy361:
			yyaccept = 46;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy362;
			}
yy362:
#line 299 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_INT32);}
#line 5647 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy363:
			yyaccept = 47;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy364;
			}
yy364:
#line 301 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_INT64);}
#line 5721 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy365:
			yyaccept = 48;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy366;
			}
yy366:
#line 324 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_PATHVAL);}
#line 5795 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy367:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'Y':
			case 'y':	goto yy389;
			default:	goto yy54;
			}
yy368:
			yyaccept = 49;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy369;
			}
yy369:
#line 338 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_TO_BOOL);}
#line 5877 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy370:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy391;
			default:	goto yy54;
			}
yy371:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'C':
			case 'c':	goto yy393;
			default:	goto yy54;
			}
yy372:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'N':
			case 'n':	goto yy394;
			default:	goto yy54;
			}
yy373:
			yyaccept = 50;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy374;
			}
yy374:
#line 311 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_TYPEDEF);}
#line 5975 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy375:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy395;
			default:	goto yy54;
			}
yy376:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy397;
			default:	goto yy54;
			}
yy377:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy399;
			default:	goto yy54;
			}
yy378:
			yyaccept = 51;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy379;
			}
yy379:
#line 296 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_UINT8);}
#line 6073 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy380:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'D':
			case 'd':	goto yy401;
			default:	goto yy54;
			}
yy381:
			yyaccept = 52;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy382;
			}
yy382:
#line 286 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_CALLABLE);}
#line 6155 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy383:
			yyaccept = 53;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy384;
			}
yy384:
#line 308 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_CALLBACK);}
#line 6229 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy385:
			yyaccept = 54;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy386;
			}
yy386:
#line 326 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_FLOATVAL);}
#line 6303 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy387:
			yyaccept = 55;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy388;
			}
yy388:
#line 310 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_FUNCTION);}
#line 6377 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy389:
			yyaccept = 56;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy390;
			}
yy390:
#line 334 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_TO_ARRAY);}
#line 6451 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy391:
			yyaccept = 57;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy392;
			}
yy392:
#line 337 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_TO_FLOAT);}
#line 6525 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy393:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy403;
			default:	goto yy54;
			}
yy394:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'G':
			case 'g':	goto yy405;
			default:	goto yy54;
			}
yy395:
			yyaccept = 58;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy396;
			}
yy396:
#line 298 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_UINT16);}
#line 6615 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy397:
			yyaccept = 59;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy398;
			}
yy398:
#line 300 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_UINT32);}
#line 6689 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy399:
			yyaccept = 60;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy400;
			}
yy400:
#line 302 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_UINT64);}
#line 6763 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy401:
			yyaccept = 61;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy402;
			}
yy402:
#line 303 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_UNSIGNED);}
#line 6837 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy403:
			yyaccept = 62;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy404;
			}
yy404:
#line 333 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_TO_OBJECT);}
#line 6911 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy405:
			yyaccept = 63;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy406;
			}
yy406:
#line 335 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_TO_STRING);}
#line 6985 "/home/mike/src/php-master/ext/psi/src/parser.c"
		}
#line 345 "/home/mike/src/php-master/ext/psi/src/parser.re"


	comment:
		P->tok = P->cur;
		
#line 6993 "/home/mike/src/php-master/ext/psi/src/parser.c"
		{
			unsigned char yych;
			if ((P->lim - P->cur) < 2) { if (!psi_parser_fill(P,2)) RETURN(PSI_T_EOF); };
			yych = *P->cur;
			switch (yych) {
			case '\n':	goto yy411;
			case '*':	goto yy413;
			default:	goto yy409;
			}
yy409:
			++P->cur;
yy410:
#line 352 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{ goto comment; }
#line 7008 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy411:
			++P->cur;
#line 350 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{ NEWLINE(comment); }
#line 7013 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy413:
			yych = *++P->cur;
			switch (yych) {
			case '/':	goto yy414;
			default:	goto yy410;
			}
yy414:
			++P->cur;
#line 351 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{ continue; }
#line 7024 "/home/mike/src/php-master/ext/psi/src/parser.c"
		}
#line 353 "/home/mike/src/php-master/ext/psi/src/parser.re"

	}
	return -1;
}
